List Runtimes
curl --request GET \
--url https://control-plane.kubiya.ai/api/v1/runtimes \
--header 'Authorization: Bearer <token>'import requests
url = "https://control-plane.kubiya.ai/api/v1/runtimes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://control-plane.kubiya.ai/api/v1/runtimes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"features": [
"<string>"
],
"status": "<string>",
"requirements": {
"model_requirement": {
"description": "<string>",
"supported_providers": [
"<string>"
],
"supported_families": [
"<string>"
],
"examples": [
"<string>"
]
},
"required_config_fields": [
"<string>"
],
"recommended_config_fields": [
"<string>"
],
"max_history_length": 123,
"requires_system_prompt": false,
"requires_tools": false
}
}
]Runtimes
List Runtimes
List available agent runtime types with requirements.
Returns information about different agent execution frameworks that can be used when creating or configuring agents, including model compatibility requirements and validation rules.
GET
/
api
/
v1
/
runtimes
List Runtimes
Authorizations
Enter your Kubiya API token (format: Bearer )
Response
200 - application/json
Successful Response
Runtime identifier
Display name
Description of the runtime
Icon identifier for UI
Key features of this runtime
Status: available, beta, coming_soon
Runtime requirements and validation rules
Show child attributes
Show child attributes
Was this page helpful?
⌘I